# Create combo card (deprecated) Associates a customer's debit and credit accounts to create a combination card with both debit and credit payment capabilities that can be used as one embossed card. It is recommended you create a combination card using card modes as this endpoint will soon be deprecated. For more information, refer to the [mode documentation](doc:cards-overview-1#create-a-combination-card-with-card-modes) in the Cards management guide. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Cards", "description": "Card management endpoints" } ], "components": { "parameters": { "idempotencyHeader": { "in": "header", "name": "x-idempotency-key", "schema": { "type": "string", "maxLength": 36 }, "required": false, "description": "A unique identifier to ensure the operation remains idempotent, allowing for operation repetition without causing unintended effects or duplication. An idempotent operation is one that can be applied multiple times, yet the outcome remains the same. it ensures that network errors, retries, or failures can occur without introducing inconsistencies. 36 chars max. \n" } }, "schemas": { "CardID": { "type": "object", "description": "Pismo card ID object", "properties": { "cardId": { "type": "string", "description": "Card ID", "example": "737040484" } } }, "CustomerID": { "type": "integer", "description": "Pismo customer ID", "example": 765476676 }, "EmbossingCustomField": { "type": "string", "description": "For physical cards. Additional information for embossing company. For example: tracking number or whether the card should be plastic or metal. \n\nYou can use this field for any embossing needs specific to your business. Whatever is sent must be agreed upon with the embosser—what to send, what values to send, what format to send, what size to send for each value, and so on.\n", "example": "Tracking ID = 5859930", "maxLength": 1000 }, "Metadata": { "type": "object", "description": "Any key-value object. Max length = 3200 bytes. This **must** be valid JSON data.", "example": { "my-custom-key": "my-custom-value" }, "maxLength": 3200 }, "RelationshipBody": { "type": "object", "description": "Accounts relationship for combo cards enablement", "required": [ "credit", "debit" ], "properties": { "credit": { "description": "Credit object", "type": "object", "required": [ "program_id", "account_id", "customer_id" ], "properties": { "program_id": { "type": "integer", "description": "Program ID (First program ID)" }, "account_id": { "type": "integer", "description": "Credit account ID" }, "customer_id": { "$ref": "#/components/schemas/CustomerID" }, "metadata": { "$ref": "#/components/schemas/Metadata" }, "embossing_custom_field": { "$ref": "#/components/schemas/EmbossingCustomField" }, "template_id": { "$ref": "#/components/schemas/TemplateID" } } }, "debit": { "description": "Object containing the debit side in the relationship", "type": "object", "required": [ "program_id", "account_id", "customer_id" ], "properties": { "program_id": { "type": "integer", "description": "Program ID (second program ID)" }, "customer_id": { "type": "integer", "description": "Debit program customer ID" }, "account_id": { "type": "integer", "description": "Debit program account ID" }, "metadata": { "$ref": "#/components/schemas/Metadata" }, "embossing_custom_field": { "$ref": "#/components/schemas/EmbossingCustomField" }, "template_id": { "$ref": "#/components/schemas/TemplateID" } } } } }, "RelationshipResponse": { "type": "object", "description": "Accounts relationship for combo cards enablement", "properties": { "credit": { "description": "Credit relationship object", "type": "object", "properties": { "program_id": { "type": "integer", "description": "Program ID (Must be a program that allows credit payments)" }, "customer_id": { "$ref": "#/components/schemas/CustomerID" }, "account_id": { "type": "integer", "description": "Credit account ID" }, "card_id": { "$ref": "#/components/schemas/CardID" } } }, "debit": { "description": "Debit relationship object", "type": "object", "properties": { "program_id": { "type": "integer", "description": "Program ID (Must be a program that allows debit payments)" }, "customer_id": { "$ref": "#/components/schemas/CustomerID" }, "account_id": { "type": "integer", "description": "Debit program account ID" }, "card_id": { "$ref": "#/components/schemas/CardID" } } } } }, "TemplateID": { "type": "string", "description": "Template ID. Templates are used to implement the BIN override feature. For more information, refer to the [BIN override](https://developers.pismo.io/pismo-docs/docs/bin-override-feature) guide.\n", "example": "EAFA693A-57B2-4029-97F3-D20D6F06D79B" } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "401Unauthorized": { "description": "Access token is missing or invalid" }, "403Forbidden": { "description": "You don't have permission to access this resource" }, "409ConflictCardsPost": { "description": "You already have a card with this type and name active" }, "500InternalServer": { "description": "Internal server error" } } }, "paths": { "/wallet/v1/relationship": { "post": { "operationId": "post-v1-combocard-relationship", "summary": "Create combo card (deprecated)", "description": "Associates a customer's debit and credit accounts to create a combination card with both debit and credit payment capabilities that can be used as one embossed card.\nIt is recommended you create a combination card using card modes as this endpoint will soon be deprecated. For more information, refer to the [mode documentation](https://developers.pismo.io/pismo-docs/docs/cards-overview-1#create-a-combination-card-with-card-modes) in the Cards management guide.", "deprecated": true, "tags": [ "Cards" ], "parameters": [ { "$ref": "#/components/parameters/idempotencyHeader" } ], "requestBody": { "description": "Request body", "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/RelationshipBody" } } } }, "responses": { "201": { "description": "Cards relationship information", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/RelationshipResponse" } } } }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "403": { "$ref": "#/components/responses/403Forbidden" }, "409": { "$ref": "#/components/responses/409ConflictCardsPost" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```